---
title: FetchEvent.isReload
slug: Web/API/FetchEvent/isReload
tags:
  - API
  - Experimental
  - FetchEvent
  - Property
  - Reference
  - Service
  - Service Workers
  - Workers
  - isReload
---
<div>{{APIRef("Service Workers API")}}{{Obsolete_Header}}</div>

<p>The <strong><code>isReload</code></strong> read-only property of the {{domxref("FetchEvent")}} interface returns <code>true</code> if the event was dispatched by the user attempting to reload the page, and <code>false</code> otherwise. Pressing the refresh button is a reload while clicking a link and pressing the back button is not.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>reloaded</em> = <em>FetchEvent</em>.isReload</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("Boolean")}}.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">self.addEventListener('fetch', function(event) {
  event.respondWith(
    if (event.isReload) {
      //Return something
    } else {
      //Return something else
    };
  );
});</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.FetchEvent.isReload")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/ServiceWorker_API/Using_Service_Workers">Using Service Workers</a></li>
 <li><a class="external external-icon" href="https://github.com/mdn/sw-test">Service workers basic code example</a></li>
 <li><a class="external external-icon" href="https://jakearchibald.github.io/isserviceworkerready/">Is ServiceWorker ready?</a></li>
 <li>{{jsxref("Promise")}}</li>
 <li><a href="/en-US/docs/Web/Guide/Performance/Using_web_workers">Using web workers</a></li>
</ul>
